Create
This API must be used to create a new vehicle that will belong to your organization. After the vehicle is created, you can add the vehicleId in the trip API request to get the trip scores and data described in the trip analysis section.
We recommend to add a vehicle before requesting the trip analysis service if you need to monitor the vehicle. For each request, the unique vehicle identifier must be added in the trip analysis request.
DK admin token
Application/jsonAdds a new vehicle in the database
Username of the vehicle's owner
Vehicle Name
Vehicle client Id
OK
Bad Request
Unauthorized
Conflict
POST /v3/drivekit/admin/vehicle HTTP/1.1
Host: service.drivequant.com
DriveKit-Admin-API-Key: text
Content-Type: application/json
Accept: */*
Content-Length: 473
{
"username": "john.doe@drivequant.com",
"vehiclename": "John's Astra",
"vehicleId": "18077be9-1e03-436a-87be-3827ae6522fe",
"vehicleCharacteristics": {
"brand": "Opel",
"model": "Astra",
"version": "2.2",
"year": "2007",
"typeIndex": 1,
"engineIndex": 1,
"power": 150,
"mass": 1400,
"engineDisplacement": 1.2,
"gearboxIndex": 2,
"consumption": 4.5,
"autoGearboxNumber": 0,
"frontTireSize": "205/55/16",
"rearTireSize": "205/55/16",
"length": 4.5,
"width": 1.8,
"height": 1.45,
"driveWheels": 0,
"engineCylinderNb": 4
}
}{
"message": "Vehicle created successfully"
}Request Body
The table below summarizes the content of a request body.
username
string
Unique driver identifier
vehicleId
string
Vehicle unique identifier
vehiclename
string
Vehicle name
BeaconIdentifier
The table below summarizes the content of a beaconIdentifier object.
major
int
Major
minor
int
Minor
proximityUuid
string
Proximity UUID
uniqueId
string
Beacon unique identifier
Body sample
Last updated
Was this helpful?

